import React from 'react';
import 'dayjs/locale/zh-cn';
import locale from 'antd/locale/zh_CN';
import { ConfigProvider, App } from 'antd';
import Router from './routes/Router'
import { useModel } from './store';

function App() {

  const { antThemeData } = useModel('system');
  const theme = React.useMemo(() => ({token: antThemeData}), [antThemeData]);

  console.log(theme)

  return (
    <ConfigProvider locale={locale} theme={theme}>
      <App>
        <Router />
      </App>
    </ConfigProvider>
  );
}

export default App
