import React from 'react';
import { Helmet } from "react-helmet";
import { useNavigate, useSearchParams } from 'react-router-dom';
import { useModel } from '@/store';
import Particles from './Particles';
import LoginForm from './LoginForm';
import LoginEffect from './Effect';
import './style.less';

const year = new Date().getFullYear();

export default (props) => {
  const navigate = useNavigate();
  const [searchParams] = useSearchParams();
  const { app } = useModel('system');

  const title = `欢迎使用${app.fullName}`;
  const copyright = `${app.company} @ ${year}`;

  console.log(searchParams)

  const onSuccess = () => {
    if (searchParams.back) {
      navigate(-1);
    } else {
      navigate('/');
    }
  };

  return (
    <div className='login-page'>
      <Helmet>
        <title>{app.fullName}</title>
      </Helmet>
      <Particles />
      <div className="login-page-container">
        <div className="login-card">
          <div className="login-card-left">
            <div className="login-form-box">
              <div className="login-form">
                <h2>登录系统</h2>
                <div className="login-subtitle">{title}</div>
                <LoginForm onSuccess={onSuccess} />
              </div>
            </div>
            <div className="login-copyright">
              {copyright}
            </div>
          </div>
          <div className="login-card-right">
            <LoginEffect />
          </div>
        </div>
      </div>
    </div>
  )
}
